Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226162 - Merge Review: mtools
Summary: Merge Review: mtools
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mtools
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ed Hill
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:43 UTC by Nobody's working on this, feel free to take it
Modified: 2015-02-12 09:25 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-12 08:18:38 UTC


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:43:37 UTC
Fedora Merge Review: mtools

http://cvs.fedora.redhat.com/viewcvs/devel/mtools/
Initial Owner: atkac@redhat.com

Comment 1 Ed Hill 2007-02-03 20:22:16 UTC
Hi there, here's a quick review:

good:
 + source matches upstream
 + license is OK and correctly included (GPL)
 + specfile is legible and looks good
 + dir ownership and permissions look good
 + has %clean and "rm -rf $RPM_BUILD_ROOT"
 + pot/preun scriptlets look good
 + dir ownership and perms OK

needswork:
 - please see the rpmlint output at:
http://linux.dell.com/files/fedora/FixBuildRequires/mock-results-core/i386/mtools-3.9.10-3.fc7.src.rpm/result/rpmlint.log
   which lists a few items that need attention

 - please use the preferred BuildRoot:
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)



Comment 2 Roozbeh Pournader 2007-02-03 22:34:32 UTC
Assigning to owner who should fix the problems.

Comment 3 Adam Tkac 2007-02-05 12:53:45 UTC
problems are fixed in mtools-3.9.10-4.fc7

Comment 4 Warren Togami 2007-02-05 18:36:15 UTC
Assigning back to the reviewer.

Comment 5 Kevin Fenzi 2007-02-09 03:48:51 UTC
Setting flag back to ? to notify ed to re-check things. 

Comment 6 Adam Tkac 2009-02-05 11:22:59 UTC
Ed, are you going to review mtools, please?

Comment 7 Ed Hill 2009-02-05 14:20:00 UTC
Yes, I'll do it this weekend!

Comment 8 Cole Robinson 2015-02-11 20:38:02 UTC
Mass reassigning all merge reviews to their component. For more details, see this FESCO ticket:

  https://fedorahosted.org/fesco/ticket/1269

If you don't know what merge reviews are about, please see:

  https://fedoraproject.org/wiki/Merge_Reviews

How to handle this bug is left to the discretion of the package maintainer.

Comment 9 Ondrej Oprala 2015-02-12 08:18:38 UTC
Since Ed's review +'s still hold true and rpmlint's pretty happy apart from 3 bogus dates, I consider this issue resolved.

Comment 10 Parag AN(पराग) 2015-02-12 09:25:58 UTC
Few additional things you can improve in spec like we have following tags now optional and can be removed safely

1) Group:
2) Buildroot:
3) in %install no need of
rm -rf $RPM_BUILD_ROOT
4) %clean section
5) %defattr(-,root,root)

Then we have macro for /etc which is %{_sysconfdir}

Every patch used should provide information in comment above to that patch line like why patch is needed and if it is upstream or not?

Please look http://fedoraproject.org/wiki/Packaging:Guidelines#Why_the_.25makeinstall_macro_should_not_be_used and see if you can avoid using %makeinstall


Note You need to log in before you can comment on or make changes to this bug.